List all invoices
Invoices
List all invoices
Requires the invoice:read ability.
GET
List all invoices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available sorts are created_at, updated_at, status. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -created_at.
The number of results that will be returned per page.
The page number to start the pagination from.
Available options:
status, source, original_file_name, extracted_business_name, extracted_business_abn, extracted_account_name, extracted_account_number, extracted_account_bsb, extracted_invoice_number, created_at, updated_at Filter by invoice status.
Available options:
queued, reading, processed, failed, invalid Example:
"processed"
Filter invoices created on or after this datetime.
Example:
"2026-04-01T00:00:00Z"
Filter invoices created on or before this datetime.
Example:
"2026-04-30T23:59:59Z"